Index: c/src/lib/libbsp/powerpc/gen5200/configure.ac
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/configure.ac	(revision 76de8a8e6b3fb2f1e4f66a477a2d18e38edd595d)
+++ c/src/lib/libbsp/powerpc/gen5200/configure.ac	(revision 47fb2fed19fd7ec2761d6be3e85ec46e00f4f3fe)
@@ -94,22 +94,22 @@
 RTEMS_BSPOPTS_HELP([PRINTK_MINOR],[console minor number used by printk()])
 
-RTEMS_BSPOPTS_SET([PM520_ZE30],[pm520_ze30],[1])
-RTEMS_BSPOPTS_HELP([PM520_ZE30],
+RTEMS_BSPOPTS_SET([MPC5200_BOARD_PM520_ZE30],[pm520_ze30],[1])
+RTEMS_BSPOPTS_HELP([MPC5200_BOARD_PM520_ZE30],
 [enable settings for PM520 ZE30])
 
-RTEMS_BSPOPTS_SET([PM520_CR825],[pm520_cr825],[1])
-RTEMS_BSPOPTS_HELP([PM520_CR825],
+RTEMS_BSPOPTS_SET([MPC5200_BOARD_PM520_CR825],[pm520_cr825],[1])
+RTEMS_BSPOPTS_HELP([MPC5200_BOARD_PM520_CR825],
 [enable settings for PM520 CR825])
 
-RTEMS_BSPOPTS_SET([icecube],[icecube],[1])
-RTEMS_BSPOPTS_HELP([icecube],
+RTEMS_BSPOPTS_SET([MPC5200_BOARD_ICECUBE],[icecube],[1])
+RTEMS_BSPOPTS_HELP([MPC5200_BOARD_ICECUBE],
 [enable settings for IceCube])
 
-RTEMS_BSPOPTS_SET([BRS5L],[brs5l],[1])
-RTEMS_BSPOPTS_HELP([BRS5L],
+RTEMS_BSPOPTS_SET([MPC5200_BOARD_BRS5L],[brs5l],[1])
+RTEMS_BSPOPTS_HELP([MPC5200_BOARD_BRS5L],
 [enable settings for BRS5L])
 
-RTEMS_BSPOPTS_SET([BSP_TYPE_DP2],[dp2],[1])
-RTEMS_BSPOPTS_HELP([BSP_TYPE_DP2],
+RTEMS_BSPOPTS_SET([MPC5200_BOARD_DP2],[dp2],[1])
+RTEMS_BSPOPTS_HELP([MPC5200_BOARD_DP2],
 [enable settings for DP2])
 
Index: c/src/lib/libbsp/powerpc/gen5200/ide/ata.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/ide/ata.c	(revision 76de8a8e6b3fb2f1e4f66a477a2d18e38edd595d)
+++ c/src/lib/libbsp/powerpc/gen5200/ide/ata.c	(revision 47fb2fed19fd7ec2761d6be3e85ec46e00f4f3fe)
@@ -101,5 +101,5 @@
   bool card_present = true;
 
-#ifdef BRS5L
+#ifdef MPC5200_BOARD_BRS5L
   volatile struct mpc5200_gpt *gpt = &mpc5200.gpt[GPT2];
 
Index: c/src/lib/libbsp/powerpc/gen5200/ide/pcmcia_ide.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/ide/pcmcia_ide.c	(revision 76de8a8e6b3fb2f1e4f66a477a2d18e38edd595d)
+++ c/src/lib/libbsp/powerpc/gen5200/ide/pcmcia_ide.c	(revision 47fb2fed19fd7ec2761d6be3e85ec46e00f4f3fe)
@@ -143,5 +143,5 @@
   struct mpc5200_gpt *gpt = (struct mpc5200_gpt *)(&mpc5200.gpt[GPT2]);
 
-  #ifdef BSP_TYPE_DP2
+  #ifdef MPC5200_BOARD_DP2
     /* Deactivate RESET signal */
     rtems_interrupt_level level;
@@ -160,5 +160,5 @@
   gpt->emsel = (GPT_EMSEL_GPIO_IN | GPT_EMSEL_TIMER_MS_GPIO);
 
-#if defined (BRS5L)
+#if defined (MPC5200_BOARD_BRS5L)
   /* Check for card detection (-CD0) */
   if((gpt->status) & GPT_STATUS_PIN)
@@ -642,5 +642,5 @@
 void mpc5200_pcmciaide_initialize(int minor)
   {
-#if defined (BRS5L)
+#if defined (MPC5200_BOARD_BRS5L)
   struct mpc5200_gpt *gpt = (struct mpc5200_gpt *)(&mpc5200.gpt[GPT7]);
 
Index: c/src/lib/libbsp/powerpc/gen5200/include/bsp.h
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/include/bsp.h	(revision 76de8a8e6b3fb2f1e4f66a477a2d18e38edd595d)
+++ c/src/lib/libbsp/powerpc/gen5200/include/bsp.h	(revision 47fb2fed19fd7ec2761d6be3e85ec46e00f4f3fe)
@@ -64,4 +64,22 @@
 LINKER_SYMBOL(MBAR);
 
+/* Provide legacy defines */
+
+#ifdef MPC5200_BOARD_PM520_ZE30
+#define PM520_ZE30
+#endif
+
+#ifdef MPC5200_BOARD_PM520_CR825
+#define PM520_CR825
+#endif
+
+#ifdef MPC5200_BOARD_ICECUBE
+#define icecube
+#endif
+
+#ifdef MPC5200_BOARD_BRS5L
+#define BRS5L
+#endif
+
 /*
  * distinguish board characteristics
@@ -70,5 +88,5 @@
  * for PM520 mdule on a ZE30 carrier
  */
-#if defined(PM520_ZE30)
+#if defined(MPC5200_BOARD_PM520_ZE30)
 #define PM520
 #endif
@@ -76,5 +94,5 @@
  * for PM520 mdule on a CR825 carrier
  */
-#if defined(PM520_CR825)
+#if defined(MPC5200_BOARD_PM520_CR825)
 #define PM520
 #endif
@@ -85,5 +103,5 @@
 #endif
 
-#if defined(BRS5L)
+#if defined(MPC5200_BOARD_BRS5L)
 /*
  * IMD Custom Board BRS5L
@@ -94,5 +112,7 @@
 #elif defined (PM520)
 
-#elif defined (icecube)
+/* Nothing special */
+
+#elif defined (MPC5200_BOARD_ICECUBE)
 /*
  *  Codename: IceCube
@@ -102,5 +122,7 @@
  */
 
-#elif defined (BSP_TYPE_DP2)
+#elif defined (MPC5200_BOARD_DP2)
+
+/* Nothing special */
 
 #else
@@ -172,5 +194,5 @@
 #define XLB_CLOCK (bsp_uboot_board_info.bi_busfreq)
 #define G2_CLOCK  (bsp_uboot_board_info.bi_intfreq)
-#elif defined(BRS5L)
+#elif defined(MPC5200_BOARD_BRS5L)
 #define IPB_CLOCK 66000000   /* 66 MHz */
 #define XLB_CLOCK 132000000  /* 132 MHz */
Index: c/src/lib/libbsp/powerpc/gen5200/start/start.S
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/start/start.S	(revision 76de8a8e6b3fb2f1e4f66a477a2d18e38edd595d)
+++ c/src/lib/libbsp/powerpc/gen5200/start/start.S	(revision 47fb2fed19fd7ec2761d6be3e85ec46e00f4f3fe)
@@ -293,10 +293,10 @@
 
 
-#ifdef BRS5L
+#ifdef MPC5200_BOARD_BRS5L
 	LWI	r30, CSBOOTROM_VAL
 	stw	r30, CSBOOTROM(r31)	 	/* Set CSBOOTROM */
 
 
-#endif /* BRS5L */
+#endif /* MPC5200_BOARD_BRS5L */
 
 
@@ -490,5 +490,5 @@
 #if defined(NEED_LOW_LEVEL_INIT)
 SDRAM_init:
-#if defined(BRS5L)
+#if defined(MPC5200_BOARD_BRS5L)
       /* set GPIO_WKUP7 pin low for 66MHz buffering */
       /* or high for 133MHz registered buffering    */
@@ -538,5 +538,5 @@
 	stw	r30, CFG2(r31)			/* Burst Read2Write delay=0xB, Burst length=0x7, Read Tap=0x4 */
 
-#ifdef BRS5L
+#ifdef MPC5200_BOARD_BRS5L
 	LWI	r30, 0xD1470000 		/* Mode Set enabled, Clock enabled, Auto refresh enabled, Mem. data drv */
 	stw	r30, CTRL(r31)			/* Refresh counter=0xFFFF */
Index: c/src/lib/libbsp/powerpc/gen5200/startup/cpuinit.c
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/startup/cpuinit.c	(revision 76de8a8e6b3fb2f1e4f66a477a2d18e38edd595d)
+++ c/src/lib/libbsp/powerpc/gen5200/startup/cpuinit.c	(revision 47fb2fed19fd7ec2761d6be3e85ec46e00f4f3fe)
@@ -115,5 +115,5 @@
 static void cpu_init_bsp(void)
 {
-#if defined (BRS5L)
+#if defined (MPC5200_BOARD_BRS5L)
   BAT dbat;
 
@@ -252,5 +252,5 @@
 #endif
 
-#if defined(BSP_TYPE_DP2)
+#if defined(MPC5200_BOARD_DP2)
   /* Enable BAT4-7 */
   PPC_SET_SPECIAL_PURPOSE_REGISTER_BITS(HID2, BSP_BBIT32(13));
@@ -268,5 +268,5 @@
   );
   SET_DBAT(4, dbat.batu, dbat.batl);
-#elif defined(PM520_ZE30)
+#elif defined(MPC5200_BOARD_PM520_ZE30)
   /* Enable BAT4-7 */
   PPC_SET_SPECIAL_PURPOSE_REGISTER_BITS(HID2, BSP_BBIT32(13));
